import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

// ImageRotate Class (process image rotation)
public class ImageRotate extends ImageProcessor {
	private float angle = 45.0f;
	
	// constructor
	public ImageRotate(String inputFile) {
	}

	public ImageRotate(Photo photo) {
	}

	public ImageRotate(String inputFile, float angle) {
	}

	public ImageRotate(Photo photo, float angle) {
	}

	// ImageProcessor.getAdditionalUserInput() method override

	// ImageProcessor.getProcessedImage() method override
    
	// get/set

    // rotate an image by angle
	public static BufferedImage rotate(BufferedImage image, float rotateAngle) {
		if (image == null) return null;
		// creates output image
		BufferedImage newImage = new BufferedImage(image.getWidth(), image.getHeight(), image.getType());
		// rotate the input image by angle to the output image
		Graphics2D g2d = newImage.createGraphics();
		g2d.rotate(Math.toRadians(rotateAngle), image.getWidth()/2, image.getHeight()/2);  
		g2d.drawImage(image, null, 0, 0);
		return newImage;  
	}

	@Override
	public void getAdditionalUserInput() {
		this.angle = UserInput.getFloat("Please enter Rotate angle :");
	}
}
