import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

// ImageResize Class (process image resizing)
public class ImageResize extends ImageProcessor {	
	private int scaledWidth = 300;
	private int scaledHeight = 300;

	// constructor
	public ImageResize(String inputFile) {
	}

	public ImageResize(Photo photo) {
	}

	public ImageResize(String inputFile, int scaledWidth, int scaledHeight) {
	}

	public ImageResize(Photo photo, int scaledWidth, int scaledHeight) {
	}

	// get

	// set


	// ImageProcessor.getAdditionalUserInput() method override

	// ImageProcessor.getProcessedImage() method override

    // resize an image to scaledWidth x scaledHeight
	public static BufferedImage resize(BufferedImage image, int scaledWidth, int scaledHeight) {
		if (image == null) return null;
        // creates output image
        BufferedImage newImage = new BufferedImage(scaledWidth, scaledHeight, image.getType());
        // scales the input image to the output image
        Graphics2D g2d = newImage.createGraphics();
        g2d.drawImage(image, 0, 0, scaledWidth, scaledHeight, null);
        return newImage;
	}

	@Override
	public void getAdditionalUserInput() {
		this.scaledWidth = UserInput.getInteger("Please enter scaledWidth: ");		
		this.scaledHeight = UserInput.getInteger("Please enter scaledHeight: ");	
	}
}
